#include <bits/stdc++.h>
using namespace std;
int main(){
ios_base::sync_with_stdio(false);
cin.tie(0);
vector<int> v;
unordered_map<int,int> tabla;
int n,k,pogodak,brmenjanja=0;
cin>>n>>k;
for(int i=1;i<=n;i++){
        cin>>pogodak;
        tabla[pogodak]++;
    if(tabla[pogodak]==k){
        v.push_back(pogodak);
        brmenjanja++;
    }
}
cout<<brmenjanja<<endl;
for(int i=0;i<brmenjanja;i++){
    cout<<v[i]<<" ";
}


}